Subject: [[email-masked]: Re: Mi Mi Jr. arrived at JFK Airport, happily and healthy!]

From: [email-masked] (Mi Mi)
Date: Mon, 13 Dec 93 17:34:28 CST

Although Mi Mi Jr. has successfully arrived in NYC, some other kids are
not so lucky. That was why Mi Mi Sr. had been pushing so hard on the 
petition drive. Now, since there is not much to do with the extention of
CSPA, we may push the family unity in two other ways. One is the family
unity law pending in the congress, which, may waive all the infamous 
"immigration intention" for all the PR dependents, and, try to use
the state department's cable to pave the way for your dependents
by yourselves.

For the first option, we can moblize all the PRs from all over the world 
to lobby our senators, by now. Fighting between LADS and LCs ia a zero
sum game. Fighting through the congress hurts nobody and benefits all.

For the second option, you can ftp the cables from spike and get well
prepared for yourself before trying again. The specified effective time
for that two cables is up and until 1/1/94. There is not much time left 
for you to try that option. No one expects a miracle, but never stop 
trying!

Mi Mi Sr.

=======the message followed=================================

Date: Mon, 13 Dec 93 01:48:21 -0800
>From: Lingyan Kong <[email-masked]>
To: [email-masked]
Subject: Re:  Mi Mi Jr. arrived at JFK Airport, happily and healthy!

Congratulations for your family union. I wish I could arrange a thing as
perfect as you did. I was told that my daughter was denied for applying a
B-2 visa last Friday. It was a mistake to let her go back China last year,
but it was the best choice at that moment. I had promised her to come back 
to me in about a year, but now I don't know how long we are going to suffer
the seperation, 2 years, 3 years, or 5 years. I feel so helpless. I wish
I could do something. But how could I?! I just don't understand that this
is a country supposed to protect human rights, why she has a such stupid
law to prohibit children to see their natural parents!!! She's only a 7
years old kid, she needs her parents.

Please help me to post it and give me some suggestions. I would like to do
anything if it can make my daughter come soon.

Thanks a lot.

--from a mother who wants her daughter desperately